Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Update an existing human review set’s name, description, or review configuration. Modify criteria and evaluator assignments for ongoing reviews.
curl --request PATCH \
--url https://api.orq.ai/v2/human-eval-sets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"human_eval_ids": [
"<string>"
],
"filter_type": "span_type",
"filter_values": [
"<string>"
],
"description": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"_id": "<string>",
"display_name": "<string>",
"human_eval_ids": [
"<string>"
],
"workspace_id": "<string>",
"filter_type": "span_type",
"filter_values": [
"<string>"
],
"description": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created": "2026-04-22T10:10:04.294Z",
"updated": "2026-04-22T10:10:04.295Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the human review set to retrieve
Display name of the human review set
1 - 255Array of human review IDs to be applied to matching spans
1The id of the resource
^[0-9A-HJKMNP-TV-Z]{26}$span_type Array of span types to match
1Detailed description of the human review set
Optional project ID to scope this human review set to a specific project
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Successfully updated the human review set
The id of the resource
^[0-9A-HJKMNP-TV-Z]{26}$Display name of the human review set
1 - 255Array of human review IDs to be applied to matching spans
1The id of the resource
^[0-9A-HJKMNP-TV-Z]{26}$span_type Array of span types to match
1Detailed description of the human review set
Optional project ID to scope this human review set to a specific project
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The date and time the resource was created
The date and time the resource was last updated
Was this page helpful?
curl --request PATCH \
--url https://api.orq.ai/v2/human-eval-sets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"human_eval_ids": [
"<string>"
],
"filter_type": "span_type",
"filter_values": [
"<string>"
],
"description": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"_id": "<string>",
"display_name": "<string>",
"human_eval_ids": [
"<string>"
],
"workspace_id": "<string>",
"filter_type": "span_type",
"filter_values": [
"<string>"
],
"description": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created": "2026-04-22T10:10:04.294Z",
"updated": "2026-04-22T10:10:04.295Z"
}